% Change threshold value and change
close all
clear all

%several threshold values to sweep for the ROC
threshold_vec = [1 .95 .8 .7 .6 .55 .5 .45 .4 .35 .3 .25 .2 .15 .1];
Senstivity_vector = zeros(27,length(threshold_vec));
Specificity_vector = zeros(27,length(threshold_vec));

%Select a threshold and start running the relevant code
for threshold_iterator = 1:length(threshold_vec)
    threshold2 = threshold_vec(threshold_iterator);
    Packing_MLS_droplets_simulation_MAIN
    fprintf('%i',threshold_iterator)
    
    %The matrices here are the sensitivity and 1-specificity of the
    %resulting analysis
    Senstivity_vector(:,threshold_iterator) = sens;
    
    Specificity_vector(:,threshold_iterator) = one_minspec;
end
