%loads the correlation matrix and begins to search for each segmented channel, how droplets travel through sequentially
%calls detect_real_droplets
clear all
load('Frames450to650.mat') 
clear loc_info_all
load('cmap2.mat')
%it may be useful to segment the vector into smaller pieces to analyze
% corr_matrix_final = corr_matrix_final(1+50*3:51+50*3,:,:);
[frames_total, numberofchannels ,framelengtha] = size(corr_matrix_final);

%if the droplet was going in the reverse direction, the direction the
%droplet peaks move can be reversed if the proper flip variable was not
%set; rearranging the correlations can correct this
% for i = 1:numberofchannels-1
%     corr_matrix_final(:,i,:) = flipud(corr_matrix_final(:,i,:));
% end

  %plot everything frame by frame
  warning('off','all')
  %convert the 3d matrix into a 1d for each channel
  
  %count all the peaks in a certain channel
  max_entire_vector = max(max(max(corr_matrix_final)));
  numberofdroplets = zeros(numberofchannels);
  allchannelsvectors = zeros(numberofchannels,frames_total*framelengtha);
  threshold2 = max_entire_vector*.4; %set threshold

  %for each channel, loop through all the frames and begin counting
  for chan_loop_2 = 1:numberofchannels
      for chan_loop_2_2  = 1:frames_total
      corr_matrix_per_channel(chan_loop_2_2,1:framelengtha) = corr_matrix_final(chan_loop_2_2,chan_loop_2,:);
      end
      %for a particular channel, send the data to analyze to:
      detect_real_droplets
      %store detected droplets into a matrix for each channel
    n_matrix(chan_loop_2) = num_totalpeaks_final; 
    nonzero_perchannel_matrix(chan_loop_2,:) = nonzeros_per_channel;
  end
  
  %calculates the total number of droplets in the matrix
  sum(n_matrix)
