%uses camera parameters to undistort spherical aberrations and rotates any offsets
%calls Frame_segmentation


close all

%load frame and subtract background
video_frame = read(v_file,frame);
img = video_frame;
red = img(:,:,1)-R_background; % Red channel

%undistort with camera parameters chosen
[J1] = undistortImage(red, cameraParams2);

%define angle to rotate image
x_ang_1 = 607; y_ang_1 = 669; 
x_ang_2 =  1435; y_ang_2 = 655 ;

J1 = imrotate(J1,rad2deg(atan((y_ang_2-y_ang_1)/(x_ang_2-x_ang_1))));
%resize properly. during this portion, we lose several channels that can be
%imaged but are too distorted at the edges on the top and bottom.
J1 = J1(57:1026,119:1835,:);  
red = imresize(J1,[1080 1920]);

%begin segmenting each channel to create 1D line vectors
Frame_segmentation


