%segments the frame into N channels and stores the vector into a 1d line vector 
%sends 1d line vector to Segmented_1D_CrossCorr_PhaseVel


x = [1:1920];
for segmented_channel= 1:segmented_ch_num
    %take line average for channel
    %If fluorescent signal is leeching onto the edge of the channels, the
    %segmented channels, Sn, can be made narrower to prevent the leakage. 
    droplet_line = mean(red(1+(0+pixels_per_ch)*(segmented_channel-1):(0+pixels_per_ch)*(segmented_channel),:));
    %send each segmented vector for correlation analysis
    Segmented_1D_CrossCorr_PhaseVel
    
    %store the results in a matrix based on frame, channel, and position
    %where peak occurs (mapped to CMOS pixel location)
    corr_matrix_final(framenum, segmented_channel,:) = max_corr_Vec_phase(1:1920);
    
    
end




