% clear all
% close all

%pick the number of droplets you want to pack
rangeofdroplets = 27;

%set a threshold that you can change to manually sweep different levels of
%the ROC curve to find the tradeoff between sensitivity and specificity.

%after inputting a threshold value, the resulting values from the matrices
%need to be transferred to generate the roc plots
% threshold2 = .95;

%the first matrix set keeps track of the number of droplets
%the second 
total_stat_matrix = zeros(rangeofdroplets,2);
total_stat_matrix2 = zeros(rangeofdroplets,6);
total_stat_matrix3 = zeros(rangeofdroplets,6);

%for each number of droplets to look at...
for numberofdropletstocall = 1:rangeofdroplets
    num_droplets = numberofdropletstocall;
    
    %loop through and simulate the total number of false and true positives
    %that occur
    for repeatingtrialnumber  = 1:10
        Function_to_call_noplotsV3
        true_pos_total(repeatingtrialnumber) = true_pos;
        false_neg_total(repeatingtrialnumber) = false_neg;
        false_pos_total(repeatingtrialnumber) =false_pos;
         true_pos_total2(repeatingtrialnumber) = true_pos2;
        false_neg_total2(repeatingtrialnumber) = false_neg2;
        false_pos_total2(repeatingtrialnumber) =false_pos2;
        locs2_length(repeatingtrialnumber) = length(locs2);
    end
   total_stat_matrix(numberofdropletstocall,1:3) = [numberofdropletstocall mean(locs2_length) std(locs2_length)] ;
   total_stat_matrix2(numberofdropletstocall,1:6) = [mean(true_pos_total) std(true_pos_total) mean(false_neg_total) std(false_neg_total) mean(false_pos_total) std(false_pos_total) ];
   total_stat_matrix3(numberofdropletstocall,1:6) = [mean(true_pos_total2) std(true_pos_total2) mean(false_neg_total2) std(false_neg_total2) mean(false_pos_total2) std(false_pos_total2) ];
%    clearvars -except threshold2 numberofdropletstocall rangeofdroplets total_stat_matrix total_stat_matrix2 total_stat_matrix3 rangeofdroplets
end


total_stat_matrix;
total_stat_matrix2;
total_stat_matrix3;



sens = total_stat_matrix2(:,1)./total_stat_matrix(:,1); 
one_minspec = total_stat_matrix2(:,5)./total_stat_matrix(:,1); 