%loops through phase and for each phase, begins proper correlation initiation 
%after calling Cross_Corr_no_graphs.m, it finds the optimal phase and velocity

%store the 1d vector ina variable 
Patterned_droplet = droplet_line;
whatbead = 1;

sig = Patterned_droplet;

%if droplets flow in reverse direction, we can flip the 1d line vector for
%correlation here
if flip ==1
    sig = fliplr(sig);
end

%begin looping through phase. phase is defined as when the MLS starts, so
%since the MLS is cyclical, we simply begin at the next cycle of the MLS to
%loop through the phase
for phase = 1:4:length(MLS_seq)
    %for each phase, store the output into a 2d matrix
    Cross_Corr_no_graphs
    Final_vec_before_phase(phase,1:mat_b) = FINAL_CORR_VECTOR;
end

%find the optimal fit for all the phases 
[I,J] = find(Final_vec_before_phase==max(max(Final_vec_before_phase)));
max_corr_Vec_phase = fliplr(Final_vec_before_phase(I(1),:));

