//enter fps used to record on phone and bits required for MLS 
int fps = 60;
int bits = 63;
//int delay_time = 0;
//delay time is the length of the bit in time
long delay_time = 1000000L/(fps*bits); //delaytime is in us based on fps

//load MLS
int MLS_Seq[] = {-1, 1, -1,  1, -1,  1, 1, -1,  -1,  1, 1, -1,  1, 1, 1, -1,  1, 1, -1,  1, -1,  -1,  1, -1,  -1 , 1 ,1 ,1, -1,  -1,  -1,  1, -1,  1, 1, 1, 1, -1,  -1,  1, -1,  1, -1,  -1,  -1,  1 ,1, -1,  -1,  -1,  -1,  1, -1,  -1 , -1,  -1,  -1,  1, 1, 1, 1, 1, 1};

// the setup function runs once when you press reset or power the board
void setup() {

  // initialize digital pin 24 as an output.
  pinMode(24, OUTPUT);
Serial.begin(9600);

}

// the loop function runs over and over again forever
void loop() {
Serial.print(delay_time);
Serial.print('\n');

//based on whether the signal is a -1 or 1, the LED blinks by changing the digitalwrite of the pin accordingly
for (int i=0; i<bits; i=i+1){
if (MLS_Seq[i]>0){
  digitalWrite(24, LOW); //LOW leads ot LED being on from the Driver    
  delayMicroseconds(delay_time);
}
else {
  digitalWrite(24, HIGH);    
  delayMicroseconds(delay_time);
}
}

            
}
